
Smart Proxy - Bug #12573

Smart-Proxy supports TLSv1

11/23/2015 10:15 PM - Brandon Weeks

Status: Closed   

Priority: Normal   

Assignee: Brandon Weeks   

Category: SSL   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/345

  

Description

https://wiki.mozilla.org/Security/Server_Side_TLS#Modern_compatibility

Mozilla recommends only using TLSv1.1 and TLSv1.2 for "Modern compatibility." Given we are only doing server-to-server

communication we should be safe to use the "latest" TLS configuration or at least document any blockers.

Related issues:

Related to Smart Proxy - Bug #12572: Smart-Proxy includes RC4 in ciphersuites Closed 11/23/2015

History

#1 - 11/23/2015 10:21 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Brandon Weeks

- Pull request https://github.com/theforeman/smart-proxy/pull/345 added

#2 - 01/14/2016 08:24 AM - Anonymous

http://projects.theforeman.org/issues/12572 was picked instead of this.

#3 - 01/14/2016 08:24 AM - Anonymous

- Related to Bug #12572: Smart-Proxy includes RC4 in ciphersuites added

#4 - 01/14/2016 08:25 AM - Anonymous

- Status changed from Ready For Testing to Closed

#5 - 01/14/2016 08:25 AM - Dominic Cleal

- translation missing: en.field_release set to 71
